Bug 1561225 (CVE-2018-9018) - CVE-2018-9018 GraphicsMagick: divide-by-zero in the ReadMNGImage function in coders/png.c
Summary: CVE-2018-9018 GraphicsMagick: divide-by-zero in the ReadMNGImage function in ...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2018-9018
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1561226 1561227 1561228
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-27 22:37 UTC by Laura Pardo
Modified: 2019-09-29 14:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:18:58 UTC


Attachments (Terms of Use)

Description Laura Pardo 2018-03-27 22:37:20 UTC
A flaw was found in GraphicsMagick 1.3.28, there is a divide-by-zero in the ReadMNGImage function of coders/png.c. Remote attackers could leverage this vulnerability to cause a crash and denial of service via a crafted mng file.


References:
https://sourceforge.net/p/graphicsmagick/bugs/554/

Patch:
https://sourceforge.net/p/graphicsmagick/code/ci/84040fada1eeea62b956bc90d8e67430927c4d90/

Comment 1 Laura Pardo 2018-03-27 22:37:45 UTC
Created GraphicsMagick tracking bugs for this issue:

Affects: fedora-all [bug 1561226]
Affects: epel-all [bug 1561227]


Note You need to log in before you can comment on or make changes to this bug.